program MServClient;
// (C) by Marco Schulze <marco@nightlabs.com>
// [YMD] 2001-03-07
// published under GPL (GNU Public Licence)

uses
  Windows,
  Forms,
  uLogin in 'uLogin.pas' {FormLogin},
  MServClients in 'MServClients.pas',
  uMain in 'uMain.pas' {FormMain},
  uAlbums in 'uAlbums.pas' {FormAlbums},
  MServCDatas in 'MServCDatas.pas',
  Defs in 'Defs.pas',
  uQueue in 'uQueue.pas' {FormQueue},
  uRenameAlbum in 'uRenameAlbum.pas' {FormRenameAlbum},
  uRenameTrack in 'uRenameTrack.pas' {FormRenameTrack},
  uSearch in 'uSearch.pas' {FormSearch},
  uEnqueueTopX in 'uEnqueueTopX.pas' {FormEnqueueTopX},
  uFormChangePW in 'uFormChangePW.pas' {FormChangePW},
  uFilter in 'uFilter.pas' {FilterSetttingDlg};

{$R *.RES}

var
  MServClientMutex : THandle;

begin
  MServClientMutex := CreateMutex(nil,True,'MServClient');
  if GetLastError = ERROR_ALREADY_EXISTS then begin
    Halt;
  end;

  Application.Initialize;
  Application.CreateForm(TFormMain, FormMain);
  Application.CreateForm(TFormLogin, FormLogin);
  Application.CreateForm(TFormRenameAlbum, FormRenameAlbum);
  Application.CreateForm(TFormRenameTrack, FormRenameTrack);
  Application.CreateForm(TFormEnqueueTopX, FormEnqueueTopX);
  Application.CreateForm(TFormChangePW, FormChangePW);
  Application.CreateForm(TFilterSetttingDlg, FilterSetttingDlg);
  Application.Run;

  if MServClientMutex <> 0 then
    CloseHandle(MServClientMutex);
end.
